﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NorthwindCollectionExtensions
{
    public static class Extensions
    {
        public static Product Get(this IList<Product> list, int productID)
        {
            return list.FirstOrDefault(x => int.Equals(x.ProductID, productID));
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            using (var context = new EntitiesModel())
            {
                Category firstCategory = context.Categories.FirstOrDefault();

                Console.WriteLine(firstCategory.Products.Get(1).ProductName);
            }
        }
    }
}
